JMXFilter (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.product.servlet.filter.JMXFilter class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.product.servlet.filter
Class JMXFilter

    java.lang.Object
      org.hyperic.hq.product.servlet.filter.JMXFilter

All Implemented Interfaces:
  javax.servlet.Filter

    public final class JMXFilter

extends java.lang.Object
implements javax.servlet.Filter

Needs to be configured in each web application.

Field Summary
`static java.lang.String` | `UNKNOWN_IP`

Constructor Summary
`JMXFilter()`

Method Summary
`void` | `destroy()`
`void` | `doFilter(javax.servlet.ServletRequest request, javax.servlet.ServletResponse response, javax.servlet.FilterChain chain)`
`javax.servlet.FilterConfig` | `getFilterConfig()`
`ContextInfo` | `getJMXContextInfo()`
`JMXFilterInitServlet` | `getJmxFilterServlet()`
`javax.servlet.ServletContext` | `getServletContext()`
`void` | `init(javax.servlet.FilterConfig filterConfig)`
`static java.lang.String` | `replace(java.lang.String source, java.lang.String find, java.lang.String replace)`
`void` | `setFilterConfig(javax.servlet.FilterConfig f)`
`void` | `setJmxFilterServlet(JMXFilterInitServlet jmxFilterServlet)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### UNKNOWN_IP

    public static final java.lang.String UNKNOWN_IP

See Also:
  Constant Field Values

Constructor Detail

### JMXFilter

    public JMXFilter()

Method Detail

### replace

    public static java.lang.String replace(java.lang.String source,
                                           java.lang.String find,
                                           java.lang.String replace)

### getJmxFilterServlet

    public JMXFilterInitServlet getJmxFilterServlet()

### setJmxFilterServlet

    public void setJmxFilterServlet(JMXFilterInitServlet jmxFilterServlet)

### getServletContext

    public javax.servlet.ServletContext getServletContext()

### getJMXContextInfo

    public ContextInfo getJMXContextInfo()

### init

    public void init(javax.servlet.FilterConfig filterConfig)
              throws javax.servlet.ServletException

  Specified by:
    `init` in interface `javax.servlet.Filter`
  Throws:
    `javax.servlet.ServletException`

### doFilter

    public void doFilter(javax.servlet.ServletRequest request,
                         javax.servlet.ServletResponse response,
                         javax.servlet.FilterChain chain)
                  throws java.io.IOException,
                         javax.servlet.ServletException

  Specified by:
    `doFilter` in interface `javax.servlet.Filter`
  Throws:
    `java.io.IOException`
    `javax.servlet.ServletException`

### destroy

    public void destroy()

  Specified by:
    `destroy` in interface `javax.servlet.Filter`

### setFilterConfig

    public void setFilterConfig(javax.servlet.FilterConfig f)

### getFilterConfig

    public javax.servlet.FilterConfig getFilterConfig()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.